textures/ut4_kqn2/kq2_skybox
{
	qer_editorimage env/ut4_kqn2/interstellar_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 70 3
	surfaceparm sky
	q3map_sunEXT 1.0 0.82 0.733 30 320 20 1 16
	q3map_backSplash 0 512
	skyparms env/ut4_kqn2/interstellar 512 -
}

//Floor grate from filtration

textures/ut4_kqn2/kq2_floor_grate
{
	qer_editorimage textures/ut4_kqn2/grate_metal01d.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	surfaceparm nodamage
	cull none
        nopicmip

	{
		map textures/ut4_kqn2/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_kqn2/kq2_floor_metal1
{
	qer_editorimage textures/ut4_kqn2/pr_metal091.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_kqn2/pr_metal091.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

//Ladderclip form UrT

textures/ut4_kqn2/kq2_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

//glass 

textures/ut4_kqn2/kq2_glass_slip
{
	qer_editorimage textures/ut4_kqn2/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kqn2/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

//glass: NOT slippery, no damage
textures/ut4_kqn2/kq2_glass_noslip
{
	qer_editorimage textures/ut4_kqn2/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kqn2/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

//pass-thru glass

textures/ut4_kqn2/kq2_glass_pass
{
	qer_editorimage textures/ut4_kqn2/shiny3.tga
	qer_trans 0.2
	surfaceparm lightfilter
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kqn2/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

// NO DAMAGE 

//Lighting


//Ladderclip from UrT

textures/ut4_kqn2/kq2_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

// SOC textures

textures/ut4_kqn2/kq2_grate1b_trans
{
	qer_editorimage textures/ut4_kqn2/soc_grate1b.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/ut4_kqn2/soc_grate1b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_kqn2/kq2_lig_05b1-2k
{
	qer_editorimage textures/ut4_kqn2/soc_032lig20ba.tga
	q3map_lightimage textures/ut4_kqn2/soc_032lig20b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kqn2/soc_032lig20ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_032lig20b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kqn2/kq2_lig_05r1-2k
{
	qer_editorimage textures/ut4_kqn2/soc_032lig20ra.tga
	q3map_lightimage textures/ut4_kqn2/soc_032lig20r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kqn2/soc_032lig20ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_032lig20r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kqn2/kq2_lig_128-03b1-2k
{
	qer_editorimage textures/ut4_kqn2/soc_octlig01ba.tga
	q3map_lightimage textures/ut4_kqn2/soc_sqrlig02b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_octlig01ba.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_sqrlig02b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_kqn2/kq2_lig_128-03r1-2k
{
	qer_editorimage textures/ut4_kqn2/soc_octlig01ra.tga
	q3map_lightimage textures/ut4_kqn2/soc_sqrlig02r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_octlig01ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_sqrlig02r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}


// SLIME!!!

textures/ut4_kqn2/kq2_slime
{
	qer_editorimage textures/ut4_kqn2/slime_grn.tga
	q3map_lightimage textures/ut4_kqn2/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 500
	q3map_tessSize 64
	cull disable

	deformVertexes bulge 2 2 .5
	deformVertexes wave 32 sin 0 1 0.5 0.5
	{
		map textures/ut4_kqn2/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.02 0.02
	}
	{
		map textures/ut4_kqn2/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_kqn2/kq2_slimecaulk
{
qer_editorimage textures/ut4_kqn2/slimecaulk.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

// slimefall

textures/ut4_kqn2/kq2_slimefall1
{
        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.4
	qer_editorimage textures/ut4_kqn2/slime_grn.tga

	deformVertexes bulge 4 4 .5
// jiggle amount
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.5
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grnc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

//slime glow tube

textures/ut4_kqn2/kq2_slimetube1
{
        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
//	qer_trans 0.7
	qer_editorimage textures/ut4_kqn2/slime_grn.tga
	q3map_surfacelight 100

	deformVertexes bulge 1 1 .5
// jiggle amount
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.5
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grnc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}